<div class="row">
  <div class="col-12 col-lg-5 col-md-8 offset-md-2 caja" >

    <h2 class="caja-title">Cotiza tu Seguro Automotriz</h2>
    <h4 class="caja-subtitle">¡Resultados Instantaneos!</h4>

    <div class="caja-content">
      <div class="row">
        <div class="col-10 offset-1">

          <form [formGroup]="CotizaForm" (ngSubmit)="onSubmit()" autocomplete="nope">

            <div [ngClass]="formrow">
              <div class="col-12 col-lg-6 col-md-12">
                <div [ngClass]="formg" >
                  <label>Marca Auto</label>
                  <select class="form-control" formControlName="marca_auto" [ngClass]="{ 'is-invalid': submitted && f.marca_auto.errors }" >
                    <option *ngIf="visible == true" class="placeselect" value="">Marca del Auto</option>
                    <option *ngFor="let i of dmarca_auto" value="{{ i.value }}">{{ i.label }}</option>
                  </select>
                  <div *ngIf="submitted && f.marca_auto.errors" class="invalid-feedback">
                    <div *ngIf="f.marca_auto.errors.required">Marca de Auto es requerido</div>
                  </div>
                </div>
              </div>
              <div class="col-8 col-lg-6 col-md-12">
                <div [ngClass]="formg">
                  <label>Modelo de Auto</label>
                  <select class="form-control" formControlName="modelo_auto" [ngClass]="{ 'is-invalid': submitted && f.modelo_auto.errors }" >
                    <option *ngIf="visible == true" value="">Modelo del Auto</option>
                    <option *ngFor="let i of dmodelo_auto" value="{{ i.value }}">{{ i.label }}</option>
                  </select>
                  <div *ngIf="submitted && f.modelo_auto.errors" class="invalid-feedback">
                    <div *ngIf="f.modelo_auto.errors.required">Modelo de Auto es requerido</div>
                  </div>
                </div>
              </div>
              <div class="col-4 col-lg-4 col-md-12">
                <div [ngClass]="formg">
                  <label>Año</label>
                  <select class="form-control" formControlName="year" [ngClass]="{ 'is-invalid': submitted && f.year.errors }" >
                    <option *ngIf="visible == true" class="placeselect" value="">Año</option>
                    <option *ngFor="let i of dyear" value="{{ i.value }}">{{ i.label }}</option>
                  </select>
                  <div *ngIf="submitted && f.year.errors" class="invalid-feedback">
                    <div *ngIf="f.year.errors.required">Año es requerido</div>
                  </div>
                </div>
              </div>
              <div class="col-12 col-lg-8 col-md-12">
                <div [ngClass]="formg">
                  <label>Email</label>
                  <input type="text" placeholder="Email"  formControlName = "email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }">
                  <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                    <div *ngIf="f.email.errors.required">Email es requerido</div>
                  </div>
                </div>
              </div>
            </div>

            <div class="row">
              <button type="submit" class="btn col-md-12" >Cotizar</button>              
            </div>
            
            <div class="row">
              <div class="col-md-12">
                <a class="recupera">Recuperar Cotización</a>
              </div>
            </div>
       
          </form>

        </div>
      </div>
    </div>
    
  </div>  
</div>  
